Multivariate Pattern Analysis in Python

# mvpa2.mappers.wavelet.WaveletTransformationMapper

class `mvpa2.mappers.wavelet.``WaveletTransformationMapper`(dim=1, wavelet='sym4', mode=None, maxlevel=None)

  Convert signal into wavelet representaion

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.
  - `trained_dataset`: The dataset it has been trained on
  - `trained_nsamples+`: Number of samples it has been trained on
  - `trained_targets+`: Set of unique targets (or any other space) it has been trained on (if present in the dataset trained on)
  - `training_time+`: Time (in seconds) it took to train the learner

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon every call.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `__call__`(ds) |
  `forward`(data) | Map data from input to output space.
  `forward1`(data) | Wrapper method to map single samples.
  `generate`(ds) | Yield processing results.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `reverse`(data) | Reverse-map data from output back into input space.
  `reverse1`(data) | Wrapper method to map single samples.
  `set_postproc`(node) | Assigns a post-processing node
  `set_space`(name) | Set the processing space name of this node.
  `train`(ds) | The default implementation calls `_pretrain()`, `_train()`, and finally `_posttrain()`.
  `untrain`() | Reverts changes in the state of this node caused by previous training

  Initialize _WaveletMapper mapper

  Parameters:

  dim : int or tuple of int

  > dimensions to work across (for now just scalar value, ie 1D transformation) is supported

  wavelet : str

  > one from the families available withing pywt package

  mode : str

  > periodization mode

  maxlevel : int or None

  > number of levels to use. If None - automatically selected by pywt

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon every call.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `__call__`(ds) |
  `forward`(data) | Map data from input to output space.
  `forward1`(data) | Wrapper method to map single samples.
  `generate`(ds) | Yield processing results.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `reverse`(data) | Reverse-map data from output back into input space.
  `reverse1`(data) | Wrapper method to map single samples.
  `set_postproc`(node) | Assigns a post-processing node
  `set_space`(name) | Set the processing space name of this node.
  `train`(ds) | The default implementation calls `_pretrain()`, `_train()`, and finally `_posttrain()`.
  `untrain`() | Reverts changes in the state of this node caused by previous training